#pragma once

#include "accessor.h"

/* A pipe accessor, providing flexpages for pipe sections. */

class PipeAccessor : public Accessor
{
protected:

    /* Data transfer helper methods. */

    virtual void fill_populated(Flexpage *flexpage);

    virtual void flush_populated(Flexpage *flexpage);

public:
    explicit PipeAccessor();

    virtual void close();

    virtual void open();
};

// vim: tabstop=4 expandtab shiftwidth=4
